import request from '@/utils/request'

// 查询个人页留言内容列表
export function listMessage(query) {
  return request({
    url: '/system/personal/message/list',
    method: 'get',
    params: query
  })
}

// 查询个人页留言内容详细
export function getMessage(id) {
  return request({
    url: '/system/personal/message/' + id,
    method: 'get'
  })
}

// 新增个人页留言内容
export function addMessage(data) {
  return request({
    url: '/system/personal/message',
    method: 'post',
    data: data
  })
}

// 修改个人页留言内容
export function updateMessage(data) {
  return request({
    url: '/system/personal/message',
    method: 'put',
    data: data
  })
}

// 删除个人页留言内容
export function delMessage(id) {
  return request({
    url: '/system/personal/message/' + id,
    method: 'delete'
  })
}

// 导出个人页留言内容
export function exportMessage(query) {
  return request({
    url: '/system/personal/message/export',
    method: 'get',
    params: query
  })
}